package com.bonus.material.ma.service;

import java.util.List;
import com.bonus.material.ma.domain.TypeKeeper;

/**
 * 库管员配置Service接口
 */
public interface ITypeKeeperService {
    /**
     * 查询库管员配置
     * 
     * @param ID 库管员配置主键
     * @return 库管员配置
     */
     TypeKeeper selectTypeKeeperByID(Long ID);

    /**
     * 查询库管员配置列表
     * 
     * @param typeKeeper 库管员配置
     * @return 库管员配置集合
     */
    List<TypeKeeper> selectTypeKeeperList(TypeKeeper typeKeeper);

    /**
     * 查询库管员配置列表-并关联查询用户名称
     */
    List<TypeKeeper> selectTypeKeeperListAndUserName(TypeKeeper typeKeeper);

    /**
     * 新增库管员配置
     * 
     * @param typeKeepers 库管员配置
     * @return 结果
     */
     int insertTypeKeeper(List<TypeKeeper> typeKeepers);

    /**
     * 修改库管员配置
     * 
     * @param typeKeeper 库管员配置
     * @return 结果
     */
     int updateTypeKeeper(TypeKeeper typeKeeper);

    /**
     * 批量删除库管员配置
     * 
     * @param IDs 需要删除的库管员配置主键集合
     * @return 结果
     */
     int deleteTypeKeeperByIDs(Long[] IDs);

    /**
     * 删除库管员配置信息
     * 
     * @param ID 库管员配置主键
     * @return 结果
     */
     int deleteTypeKeeperByID(Long ID);

     /**
      * 根据用户ID和物资类型ID删除库管员配置信息
      *
      * @param typeKeepers
      * @return
      */
     int deleteTypeKeeperByUserIdAndTypeId(List<TypeKeeper> typeKeepers);
}
